export enum LiturgicalHoliday {
  Advent1 = 'Advent1',
  StNicholas = 'StNicholas', // Nikolaustag
  Advent2 = 'Advent2',
  Advent3 = 'Advent3',
  Advent4 = 'Advent4',
  ChristmasEve = 'ChristmasEve', // Heiligabend
  ChristmasDay1 = 'ChristmasDay1', // Erster Christtag
  ChristmasDay2 = 'ChristmasDay2',
  SundayAfterChristmas = 'SundayAfterChristmas',
  NewYearsEve = 'NewYearsEve', // Altjahresabend
  NewYearsDay = 'NewYearsDay',
  Epiphany = 'Epiphany',
  Sunday1AfterEpiphany = 'Sunday1AfterEpiphany',
  Sunday2AfterEpiphany = 'Sunday2AfterEpiphany',
  Sunday3AfterEpiphany = 'Sunday3AfterEpiphany',
  Sunday4AfterEpiphany = 'Sunday4AfterEpiphany',
  Sunday5BeforeLent = 'Sunday5BeforeLent', // 5. Sonntag vor der Passionszeit
  Sunday4BeforeLent = 'Sunday4BeforeLent',
  Septuagesimae = 'Septuagesimae',
  Sexagesimae = 'Sexagesimae',
  Estomihi = 'Estomihi',
  AshWednesday = 'AshWednesday',
  Invocavit = 'Invocavit',
  Reminiscere = 'Reminiscere',
  Oculi = 'Oculi',
  Laetare = 'Laetare',
  Judica = 'Judica',
  Palmarum = 'Palmarum',
  MaundyThursday = 'MaundyThursday', // Gründonnerstag
  GoodFriday = 'GoodFriday', // Karfreitag
  HolySaturday = 'HolySaturday', // Karsamstag
  EasterSunday = 'EasterSunday',
  EasterMonday = 'EasterMonday',
  EasterTuesday = 'EasterTuesday',
  Quasimodogeniti = 'Quasimodogeniti',
  MisericordiasDomini = 'MisericordiasDomini',
  Jubilate = 'Jubilate',
  Kantate = 'Kantate',
  Rogate = 'Rogate',
  Ascension = 'Ascension',
  Exaudi = 'Exaudi',
  PentecostSunday = 'PentecostSunday', // Pfingstsonntag
  PentecostMonday = 'PentecostMonday',
  PentecostTuesday = 'PentecostTuesday',
  Trinity = 'Trinity',
  Sunday1AfterTrinity = 'Sunday1AfterTrinity',
  Sunday2AfterTrinity = 'Sunday2AfterTrinity',
  StJohn = 'StJohn', // Johannisfest
  Sunday3AfterTrinity = 'Sunday3AfterTrinity',
  Sunday4AfterTrinity = 'Sunday4AfterTrinity',
  Sunday5AfterTrinity = 'Sunday5AfterTrinity',
  Sunday6AfterTrinity = 'Sunday6AfterTrinity',
  Sunday7AfterTrinity = 'Sunday7AfterTrinity',
  Sunday8AfterTrinity = 'Sunday8AfterTrinity',
  Sunday9AfterTrinity = 'Sunday9AfterTrinity',
  Sunday10AfterTrinity = 'Sunday10AfterTrinity', // Israelsonntag
  Sunday11AfterTrinity = 'Sunday11AfterTrinity',
  Sunday12AfterTrinity = 'Sunday12AfterTrinity',
  Sunday13AfterTrinity = 'Sunday13AfterTrinity',
  Sunday14AfterTrinity = 'Sunday14AfterTrinity',
  Sunday15AfterTrinity = 'Sunday15AfterTrinity',
  Sunday16AfterTrinity = 'Sunday16AfterTrinity',
  StMichael = 'StMichael', // Michaelisfest
  Thanksgiving = 'Thanksgiving', // Erntedank
  Sunday17AfterTrinity = 'Sunday17AfterTrinity',
  Sunday18AfterTrinity = 'Sunday18AfterTrinity',
  Sunday19AfterTrinity = 'Sunday19AfterTrinity',
  Sunday20AfterTrinity = 'Sunday20AfterTrinity',
  Reformation = 'Reformation',
  Sunday21AfterTrinity = 'Sunday21AfterTrinity',
  Sunday22AfterTrinity = 'Sunday22AfterTrinity',
  StMartin = 'StMartin', // Martinstag
  Sunday23AfterTrinity = 'Sunday23AfterTrinity',
  Sunday24AfterTrinity = 'Sunday24AfterTrinity',
  RepentanceAndPrayer = 'RepentanceAndPrayer', // Buß- und Bettag
  EternitySunday = 'EternitySunday', // Ewigkeitssonntag
  Annunciation = 'Annunciation', // Mariä Verkündigung
  Presentation = 'Presentation', // Mariä Reinigung
  MaryVisitation = 'MaryVisitation', // Mariä Heimsuchung
}
